/*
 * amg8833.h
 *
 *  Created on: 25.01.2018
 *      Author: Rafa
 *  https://www.eewiki.net/display/Motley/Panasonic+Grid+Eye+Memory+Registers
 */

#ifndef AMG8833_H_
#define AMG8833_H_

#define AMG8833_ADDRESS			(0x68 << 1)

#define AMG8833_FPS				0x02
#define AMG8833_FPS_1			0x00
#define AMG8833_FPS_10			0x01
#define AMG8833_THERMISTOR_L	0x0E
#define AMG8833_THERMISTOR_H	0x0F
#define AMG8833_PIXEL0_L		0x80

#define AMG8833_PIXELS			64
#define AMG8833_ROW				8
#define AMG8833_COL				8

void amg8833_10fps(void);
uint16_t amg8833_temperature(void);
void amg8833_get_frame(uint16_t* frame);
void amg8833_print(uint16_t* frame);


#endif /* AMG8833_H_ */
